Search Engine: Elastic

Article ID: 130004, created on Dec 15, 2016, last review on May 22, 2017

  • Applies to:
  • Odin Business Automation Standard 4.5

Question

It was announced that Melbourne IT reseller accounts will be moved to TPP Wholesale.

Does OBAS MIT plug-in support the changes?

Answer

OBAS MIT plug-in support the changes announced since 4.5.7 release.

4.5.6 and older versions of OBAS use the old API.

Resolution

To make your MIT plug-in comply with the changes, please upgrade to 4.5.7 as described in How to upgrade OBAS system to the latest available version.

Workaround for 4.5.6

There is a hotfix that changes the MIT plug-in API from MIT to TPP.


WARNING The hotfix will switch all MIT subscriptions to TPP, therefore it should only be installed after domains are migrated from MIT to TPP. Please coordinate this update with TPP.


Please download 64-bit hotfix or 32-bit hotfix depending on your OS and install it by running the commands below.

For 64-bit OS:

# rpm -Uvh hspc-plugin-dm-mit-4.5.6-57.swsoft.x86_64.rpm
# hspc-upgrade-manager --finish
# perl /usr/share/hspc-upgrade/upgrade/plugin-dm-mit/4.5.6/convert_domain_extdata.pl

For 32-bit OS:

# rpm -Uvh hspc-plugin-dm-mit-4.5.6-57.swsoft.i386.rpm
# hspc-upgrade-manager --finish
# perl /usr/share/hspc-upgrade/upgrade/plugin-dm-mit/4.5.6/convert_domain_extdata.pl

Warning: Running hspc-upgrade-manager --finish will cause OBAS downtime for several minutes.


After the hotfix is installed please enter new Login, Account No and Password values under Top > Service Director > Domain Manager > Plug-ins > <plug_in_name> > Plug-in Configuration tab.


400e18f6ede9f8be5575a475d2d6b0a6 caea8340e2d186a540518d08602aa065 624ca542e40215e6f1d39170d8e7ec75 70a5401e8b9354cd1d64d0346f2c4a3e

Email subscription for changes to this article
Save as PDF